Bug 807703 - noshell parameter ignored by anaconda
noshell parameter ignored by anaconda
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 10:26 EDT by Daniel Winter
Modified: 2014-02-25 15:15 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-21.25-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:29:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Winter 2012-03-28 10:26:44 EDT
Description of problem:

Adding the "noshell" parameter to the kernel arguments does not have any effect. 
It is not handeled by Anaconda. Hence a root shell can be opend on tty2 during the installation process.


Version-Release number of selected component (if applicable):


How reproducible:

always


Steps to Reproduce:
1.Boot the installer kernel with the "noshell" parameter. (PXE)
2.During installation press <CTRL><ALT><F2>
3.whoami
  

Actual results:

I get a root shell


Expected results:

No shell access as root during anaconda install


Additional info:

In the Kickstart %pre section I did:

/bin/systemctl disable anaconda-shell\@.service
/bin/systemctl stop anaconda-shell\@tty2.service

This takes effect too late. 10s+ time to tamper with the system.


Regards
Daniel
Comment 2 Will Woods 2012-05-15 15:33:19 EDT
Trying to keep people out of a machine they have physical access to is a sucker's bet, but anyway..

Adding 'ConditionKernelCommandLine=!noshell' to anaconda-shell@.service yields the expected behavior in my testing.

We can easily get this in for F18. F17 I'm not so sure there's time for.
Comment 3 Fedora End Of Life 2013-01-16 19:49:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 21:29:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Adam Williamson 2013-05-11 20:14:54 EDT
This seems like a very simple fix that got needlessly EOLed. Will, can you throw it in there? That ConditionKernelCommandLine should work fine. Note that 'noshell' is documented at Anaconda/Options and there's an embarrassing note there that it's been broken since F16, so we should probably fix it...
Comment 6 Will Woods 2014-01-24 13:26:29 EST
This was fixed in commit ad34bcd, which should be in anaconda-21.16 or higher:

  https://git.fedorahosted.org/cgit/anaconda.git/commit/?id=ad34bcd
Comment 7 Will Woods 2014-02-25 15:15:49 EST
Okay, it was actually *partially* fixed in ad34bcd, but tmux still gave you a shell.

Commit 11af277 disables tmux when booting with 'noshell', which should complete the fix:

  https://git.fedorahosted.org/cgit/anaconda.git/commit/?id=11af277

Note You need to log in before you can comment on or make changes to this bug.